# $Revision: 1.13 $, $Date: 2005/10/22 13:51:38 $
Summary:	Code Editor for Objective C
Summary(pl):	Edytor kodu dla jzyka Objective C
Name:		CodeEditor
Version:	0.4.4
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://savannah.nongnu.org/download/codeeditor/%{name}-%{version}.tar.gz
# Source0-md5:	396cc3b9a51a7f045fe53800c98723e0
Patch0:		%{name}-pass-arguments.patch
URL:		http://www.nongnu.org/codeeditor/
BuildRequires:	gnustep-gui-devel >= 0.8.7
Requires:	gnustep-gui >= 0.8.7
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif
%define		appdir		%{_prefix}/System/Applications/CodeEditor.app
%define		supportdir	%{_prefix}/System/Library/ApplicationSupport/CodeEditorView

%description
CodeEditor is a programmer's editor and library for GNUstep.

%description -l pl
CodeEditor jest edytorem programisty i bibliotek dla GNUstepa.

%package libs
Summary:	CodeEditorView bundle
Summary(pl):	Paczka CodeEditorView
Group:		Development/Tools

%description libs
CodeEditorView bundle for embedding CodeEditor in other apps.

%description libs -l pl
Paczka CodeEditorView do osadzania CodeEditora w innych aplikacjach.

%package devel
Summary:	CodeEditorView bundle headers
Summary(pl):	Pliki nagwkowe paczki CodeEditorView
Group:		Development/Tools
Requires:	%{name}-libs = %{version}-%{release}

%description devel
CodeEditorView bundle headers.

%description devel -l pl
Pliki nagwkowe paczki CodeEditorView.

%prep
%setup -q -n CodeEditor
%patch0 -p1

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%dir %{appdir}
%attr(755,root,root) %{appdir}/%{name}
%dir %{appdir}/Resources
%{appdir}/Resources/*.desktop
%{appdir}/Resources/*.plist
%{appdir}/Resources/*.tiff
%{appdir}/Resources/*.gorm
%{appdir}/Resources/Scripts
%dir %{appdir}/%{gscpu}
%dir %{appdir}/%{gscpu}/%{gsos}
%dir %{appdir}/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{appdir}/%{gscpu}/%{gsos}/%{libcombo}/%{name}
%{appdir}/%{gscpu}/%{gsos}/%{libcombo}/*.openapp

%files libs
%defattr(644,root,root,755)
%dir %{_prefix}/System/Library/Bundles/CodeEditorView.bundle
%dir %{_prefix}/System/Library/Bundles/CodeEditorView.bundle/%{gscpu}
%dir %{_prefix}/System/Library/Bundles/CodeEditorView.bundle/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Library/Bundles/CodeEditorView.bundle/%{gscpu}/%{gsos}/%{libcombo}
%{_prefix}/System/Library/Bundles/CodeEditorView.bundle/%{gscpu}/%{gsos}/%{libcombo}/CodeEditorView
%dir %{_prefix}/System/Library/Bundles/CodeEditorView.bundle/Resources
%{_prefix}/System/Library/Bundles/CodeEditorView.bundle/Resources/OpenInWorkspace.tiff
%{_prefix}/System/Library/Bundles/CodeEditorView.bundle/Resources/Info-gnustep.plist
%dir %{supportdir}
%dir %{supportdir}/ObjCHandler.bundle
%dir %{supportdir}/ObjCHandler.bundle/Resources
%{supportdir}/ObjCHandler.bundle/Resources/*.plist
%dir %{supportdir}/ObjCHandler.bundle/%{gscpu}
%dir %{supportdir}/ObjCHandler.bundle/%{gscpu}/%{gsos}
%dir %{supportdir}/ObjCHandler.bundle/%{gscpu}/%{gsos}/%{libcombo}
%{supportdir}/ObjCHandler.bundle/%{gscpu}/%{gsos}/%{libcombo}/ObjCHandler

#%files devel
#%defattr(644,root,root,755)
#%{_prefix}/System/Library/Headers/CodeEditorView

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: CodeEditor.spec,v $
Revision 1.13  2005/10/22 13:51:38  qboosh
- added pass-arguments patch, release 5

Revision 1.12  2005/09/06 20:25:44  arekm
- rel 4

Revision 1.11  2004/11/10 13:32:59  paladine
- cosmetics

Revision 1.10  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.9  2004/07/05 20:54:15  qboosh
- fixed build on amd64, release 2

Revision 1.8  2004/05/04 16:08:55  qboosh
- lib64-aware _prefix, strict internal deps

Revision 1.7  2004/05/02 16:14:24  qwark
- up to version 0.4.4 . Looks like there is no devel section - should to be review. I'm going to remove devel soon, unless someone show me that i'm doing wrong.

Revision 1.6  2003/08/13 23:10:34  ankry
- pl description fixes

Revision 1.5  2003/08/12 17:40:37  qboosh
- pl, missing dirs

Revision 1.4  2003/08/10 18:17:46  aredridel
- spec cleanup

Revision 1.3  2003/08/08 01:26:57  aredridel
- use more sane macros

Revision 1.2  2003/08/08 01:12:55  wrobell
- !./adapter.awk

Revision 1.1  2003/08/08 00:28:02  aredridel
- added
